QGIS Application - Bug report #1346
Invalid GetMap Requests in WMS: two question marks
2008-10-13 08:42 AM - Andreas Neumann

Status: Closed

Priority: Low

Assignee: nobody -

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No
Operating System: Debian Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11406

Description

| just compiled the latest QGIS trunk version and ran into the problem that the WMS plugin now generates invalid WMS requests. Did
someone change the WMS functionality recently?

The problem is that it adds a second question mark in the REQUEST string, although the original connection string already contains a
question mark.

Here is my original WMS connection string which works fine for the [[GetCapabilities]] request:

http://192.168.0.10/cgi/mapserv?map=/home/mapserverdata/orthofoto 2006.map

Here is the connection string with two question marks that qgis generates:
http://192.168.0.10/cgi/mapserv?map=/home/mapserverdata/orthofoto_2006.map&#38;?SERVICE=WMS&#38;VERSION=1.1.1&#38;
EQUEST=GetMap&#38;BBOX=696445.925470,245312.612036,696779.574530,245536.794214&#38;SRS=EPSG:21781&#38;WIDTH

=8908+

=890&#38;HEIGHT=599&#38;LAYERS=o0rthofoto 2006 average,orthofoto 2006 bilinear&#38;STYLES=&#38;FORMAT=image/jpeg

Note the second question mark before the SERVICE parameter. | think this is rather simple to fix in the code. Just see if a question mark
is already present in the connection string and don't add one if it is.

Thanks for having a look at this bug.

Associated revisions

Revision 84dc86ae - 2008-10-13 06:23 PM - Jiirgen Fischer

fix #1346

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@9475 c8812cc2-4d05-0410-92ff-de0c093fc19¢c

Revision 17c044fc - 2008-10-13 06:23 PM - Jiirgen Fischer

fix #1346

git-svn-id: http://svn.osgeo.org/qgis/trunk@9475 c8812cc2-4d05-0410-92ff-de0c093fc19¢c

History

#1 - 2008-10-13 09:23 AM - Jiirgen Fischer
- Resolution set to fixed
http://svn.osgeo.org/qgis/trunk@9475

- Status changed from Open to Closed

fixed in commit:17c044fc (SVN r9476)

#2 - 2008-10-13 11:27 PM - Andreas Neumann

wow - this was one of the fastest bug fixes | ever experienced - thank you very much!

#3 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
